find_program(valgrind valgrind)
if(NOT "${valgrind}" STREQUAL "valgrind-NOTFOUND")
    set(MEMORYCHECK_COMMAND_OPTIONS "--leak-check=full --error-exitcode=1")
    message(STATUS "Adding custom options to valgrind (${valgrind}): ${MEMORYCHECK_COMMAND_OPTIONS}")
endif()
